Bug 203710 - KDevelop error when compile Qt based application
KDevelop error when compile Qt based application
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 08:48 EDT by Volnei
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 14:04:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volnei 2006-08-23 08:48:59 EDT
Description of problem:
When I create a project simple KDE application based on QT and I try compile
it, the compilation stop with the follow error:

/bin/sh ../libtool --silent --mode=link --tag=CXX g++ -Wnon-virtual-dtor
-Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts
-g3 -fno-inline -O0 -g3 -Wformat-security -Wmissing-format-attribute
-fno-exceptions -fno-check-new -fno-common -o t1 -R /usr/lib -R
/usr/lib64/qt-3.3/lib -R /usr/lib -L/usr/lib -L/usr/lib64/qt-3.3/lib main.o t1.o
t1widget.o t1widgetbase.o -lkdeui 
/usr/lib/libkdeui.so: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
gmake[2]: ** [t1] Error 1


Version-Release number of selected component (if applicable):
FC 5
kdevelop-3.3.4-0.1.fc5
qt-3.3.6-0.4.fc5
qt-3.3.6-0.4.fc5
qt-designer-3.3.6-0.4.fc5
qt-MySQL-3.3.6-0.4.fc5
qt-devel-3.3.6-0.4.fc5
qt-config-3.3.6-0.4.fc5

How reproducible:
Create a new project simple KDE application based on QT and try compile.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

ls -l /usr/lib/libkdeui*
-rwxr-xr-x 1 root root     987 Ago 10 17:49 /usr/lib/libkdeui.la
lrwxrwxrwx 1 root root      17 Ago 18 10:48 /usr/lib/libkdeui.so ->
libkdeui.so.4.2.0
lrwxrwxrwx 1 root root      17 Ago 18 10:48 /usr/lib/libkdeui.so.4 ->
libkdeui.so.4.2.0
-rwxr-xr-x 1 root root 3388424 Ago 10 18:40 /usr/lib/libkdeui.so.4.2.0

Result of ./configure command:
./configure
checking build system type... x86_64-redhat-linux-gnu
checking host system type... x86_64-redhat-linux-gnu
checking target system type... x86_64-redhat-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking for -p flag to install... yes
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking whether g++ supports -Wmissing-format-attribute... yes
checking whether g++ supports -Wundef... yes
checking whether g++ supports -Wno-long-long... yes
checking whether g++ supports -Wnon-virtual-dtor... yes
checking whether g++ supports -fno-exceptions... yes
checking whether g++ supports -fno-check-new... yes
checking whether g++ supports -fno-common... yes
checking whether g++ supports -fexceptions... yes
checking how to run the C++ preprocessor... g++ -E
checking whether g++ supports -O0... yes
checking whether g++ supports -Wl,--no-undefined... yes
checking whether g++ supports -Wl,--allow-shlib-undefined... yes
not using lib directory suffix
checking for a sed that does not truncate output... /bin/sed
checking for egrep... grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for g77... g77
checking whether we are using the GNU Fortran 77 compiler... yes
checking whether g77 accepts -g... yes
checking the maximum length of command line arguments... 32768
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc static flag  works... yes
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared
libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking for shl_load... no
checking for shl_load in -ldld... no
checking for dlopen... no
checking for dlopen in -ldl... yes
checking whether a program can dlopen itself... yes
checking whether a statically linked program can dlopen itself... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared
libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared
libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking for shl_load... (cached) no
checking for shl_load in -ldld... (cached) no
checking for dlopen... (cached) no
checking for dlopen in -ldl... (cached) yes
checking whether a program can dlopen itself... (cached) yes
checking whether a statically linked program can dlopen itself... (cached) yes
appending configuration tag "F77" to libtool
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for g77 option to produce PIC... -fPIC
checking if g77 PIC flag -fPIC works... yes
checking if g77 supports -c -o file.o... yes
checking whether the g77 linker (/usr/bin/ld -m elf_x86_64) supports shared
libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking if C++ programs can be compiled... yes
checking for strlcat... no
checking if strlcat needs custom prototype... yes - in libkdefakes
checking for strlcpy... no
checking if strlcpy needs custom prototype... yes - in libkdefakes
checking for main in -lutil... yes
checking for main in -lcompat... no
checking for crypt in -lcrypt... yes
checking for socklen_t... socklen_t
checking for dnet_ntoa in -ldnet... no
checking for dnet_ntoa in -ldnet_stub... no
checking for inet_ntoa... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for sys/types.h... (cached) yes
checking for stdint.h... (cached) yes
checking for poll in -lpoll... no
checking CoreAudio/CoreAudio.h usability... no
checking CoreAudio/CoreAudio.h presence... no
checking for CoreAudio/CoreAudio.h... no
checking if res_init needs -lresolv... yes
checking if res_init is available... yes
checking for killpg in -lucb... no
checking for int... yes
checking size of int... 4
checking for short... yes
checking size of short... 2
checking for long... yes
checking size of long... 8
checking for char *... yes
checking size of char *... 8
checking for dlopen in -ldl... (cached) yes
checking for shl_unload in -ldld... no
checking for size_t... yes
checking size of size_t... 8
checking for unsigned long... yes
checking size of unsigned long... 8
checking sizeof size_t == sizeof unsigned long... yes
checking crt_externs.h usability... no
checking crt_externs.h presence... no
checking for crt_externs.h... no
checking for _NSGetEnviron... no
checking for vsnprintf... yes
checking for snprintf... yes
checking for X... libraries /usr/lib, headers .
checking for IceConnectionNumber in -lICE... yes
checking for libXext... yes
checking for pthread_create in -lpthread... yes
checking for extra includes... no
checking for extra libs... no
checking for libz... -lz
checking for libpng... -lpng -lz -lm
checking for libjpeg6b... no
checking for libjpeg... -ljpeg
checking for perl... /usr/bin/perl
checking for Qt... libraries /usr/lib64/qt-3.3/lib, headers
/usr/lib64/qt-3.3/include using -mt
checking for moc... /usr/lib64/qt-3.3/bin/moc
checking for uic... /usr/lib64/qt-3.3/bin/uic
checking whether uic supports -L ... yes
checking whether uic supports -nounload ... yes
checking if Qt needs -ljpeg... no
checking for rpath... yes
checking for KDE... libraries /usr/lib, headers /usr/include/kde
checking if UIC has KDE plugins available... yes
checking for KDE paths... defaults
checking for dcopidl... /usr/bin/dcopidl
checking for dcopidl2cpp... /usr/bin/dcopidl2cpp
checking for mcopidl... /usr/bin/mcopidl
checking for artsc-config... /usr/bin/artsc-config
checking for kde-config... /usr/bin/kde-config
checking for meinproc... /usr/bin/meinproc
checking for kconfig_compiler... /usr/bin/kconfig_compiler
checking for dcopidlng... /usr/bin/dcopidlng
checking for xmllint... /usr/bin/xmllint
checking whether byte ordering is bigendian... no
checking for MAXPATHLEN... 4096
checking if doc should be compiled... yes
checking if po should be compiled... yes
checking if src should be compiled... yes
configure: creating ./config.status
fast creating Makefile
fast creating doc/Makefile
fast creating doc/en/Makefile
fast creating po/Makefile
fast creating src/Makefile
config.pl: fast created 5 file(s).
config.status: creating config.h
config.status: executing depfiles commands

Good - your configure finished. Start make now

Result of make command:
make
make  all-recursive
make[1]: Entering directory `/dados/desenvolvimento/fedora-apps/t1'
Making all in doc
make[2]: Entering directory `/dados/desenvolvimento/fedora-apps/t1/doc'
Making all in .
make[3]: Entering directory `/dados/desenvolvimento/fedora-apps/t1/doc'
make[3]: Nada a ser feito para `all-am'.
make[3]: Leaving directory `/dados/desenvolvimento/fedora-apps/t1/doc'
Making all in en
make[3]: Entering directory `/dados/desenvolvimento/fedora-apps/t1/doc/en'
/usr/bin/meinproc --check --cache index.cache.bz2 ./index.docbook
make[3]: Leaving directory `/dados/desenvolvimento/fedora-apps/t1/doc/en'
make[2]: Leaving directory `/dados/desenvolvimento/fedora-apps/t1/doc'
Making all in po
make[2]: Entering directory `/dados/desenvolvimento/fedora-apps/t1/po'
make[2]: Nada a ser feito para `all'.
make[2]: Leaving directory `/dados/desenvolvimento/fedora-apps/t1/po'
Making all in src
make[2]: Entering directory `/dados/desenvolvimento/fedora-apps/t1/src'
/usr/lib64/qt-3.3/bin/uic -L /usr/lib/kde3/plugins/designer -nounload -o
t1widgetbase.h ./t1widgetbase.ui
source='main.cpp' object='main.o' libtool=no \
depfile='.deps/main.Po' tmpdepfile='.deps/main.TPo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib64/qt-3.3/include
-I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor -Wno-long-long
-Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -Wformat-security
-Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common  -c -o
main.o `test -f 'main.cpp' || echo './'`main.cpp
/usr/lib64/qt-3.3/bin/moc ./t1.h -o t1.moc
source='t1.cpp' object='t1.o' libtool=no \
depfile='.deps/t1.Po' tmpdepfile='.deps/t1.TPo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib64/qt-3.3/include
-I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor -Wno-long-long
-Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -Wformat-security
-Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common  -c -o
t1.o `test -f 't1.cpp' || echo './'`t1.cpp
/usr/lib64/qt-3.3/bin/moc ./t1widget.h -o t1widget.moc
source='t1widget.cpp' object='t1widget.o' libtool=no \
depfile='.deps/t1widget.Po' tmpdepfile='.deps/t1widget.TPo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib64/qt-3.3/include
-I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor -Wno-long-long
-Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -Wformat-security
-Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common  -c -o
t1widget.o `test -f 't1widget.cpp' || echo './'`t1widget.cpp
/usr/lib64/qt-3.3/bin/moc t1widgetbase.h -o t1widgetbase.moc
rm -f t1widgetbase.cpp
echo '#include <kdialog.h>' > t1widgetbase.cpp
echo '#include <klocale.h>' >> t1widgetbase.cpp
/usr/lib64/qt-3.3/bin/uic -L /usr/lib/kde3/plugins/designer -nounload -tr
tr2i18n -i t1widgetbase.h ./t1widgetbase.ui > t1widgetbase.cpp.temp ; ret=$?; \
/usr/bin/perl -pe "s,tr2i18n( \"\" ),QString::null,g" t1widgetbase.cpp.temp |
/usr/bin/perl -pe "s,tr2i18n( \"\"\, \"\" ),QString::null,g" | /usr/bin/perl -pe
"s,image([0-9][0-9]*)_data,img\$1_t1widgetbase,g" >> t1widgetbase.cpp ;\
rm -f t1widgetbase.cpp.temp ;\
if test "$ret" = 0; then echo '#include "t1widgetbase.moc"' >> t1widgetbase.cpp;
else rm -f t1widgetbase.cpp ; exit $ret ; fi
source='t1widgetbase.cpp' object='t1widgetbase.o' libtool=no \
depfile='.deps/t1widgetbase.Po' tmpdepfile='.deps/t1widgetbase.TPo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib64/qt-3.3/include
-I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor -Wno-long-long
-Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -Wformat-security
-Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common  -c -o
t1widgetbase.o `test -f 't1widgetbase.cpp' || echo './'`t1widgetbase.cpp
/bin/sh ../libtool --silent --mode=link --tag=CXX g++  -Wnon-virtual-dtor
-Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts
-O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new
-fno-common    -o t1 -R /usr/lib -R /usr/lib64/qt-3.3/lib -R /usr/lib -L/usr/lib
-L/usr/lib64/qt-3.3/lib  main.o t1.o t1widget.o t1widgetbase.o -lkdeui
/usr/lib/libkdeui.so: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[2]: ** [t1] Erro 1
make[2]: Leaving directory `/dados/desenvolvimento/fedora-apps/t1/src'
make[1]: ** [all-recursive] Erro 1
make[1]: Leaving directory `/dados/desenvolvimento/fedora-apps/t1'
make: ** [all] Erro 2
Comment 1 Ngo Than 2006-09-04 14:04:32 EDT
it seems a configuration problem in your project on. 
After you have created a new project you have to add "--enable-libsuffix=64"
in the Configuration arguments.

Click Project->Project Options->Configuration Options. 
Add "--enable-libsuffix=64" in Configuration arguments.




Note You need to log in before you can comment on or make changes to this bug.